Bug 841345 (CVE-2012-3423) - CVE-2012-3423 icedtea-web: incorrect handling of not 0-terminated strings
Summary: CVE-2012-3423 icedtea-web: incorrect handling of not 0-terminated strings
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-3423
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20120731,repo...
Depends On: 841861 841862 844770
Blocks: 841346
TreeView+ depends on / blocked
 
Reported: 2012-07-18 18:24 UTC by Tomas Hoger
Modified: 2019-06-08 19:11 UTC (History)
3 users (show)

Fixed In Version: icedtea-web 1.1.6, icedtea-web 1.2.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-31 21:57:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1132 normal SHIPPED_LIVE Important: icedtea-web security update 2012-07-31 22:55:06 UTC

Description Tomas Hoger 2012-07-18 18:24:08 UTC
It was discovered that the IcedTea-Web web browser plugin incorrectly assumed that all strings provided by browser are NUL terminated, which is not guaranteed by the NPAPI (Netscape Plugin Application Programming Interface).  When used in a browser that does not NUL terminate NPVariant NPStrings, this could lead to buffer over-read or over-write, resulting in possible information leak, crash, or code execution.

Mozilla browsers currently NUL terminate strings, however recent Chrome versions are known not to provide NUL terminated data.

Related upstream bug reports and commits:
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=518
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=863
http://icedtea.classpath.org/hg/release/icedtea-web-1.2/rev/d7375e2a9076
http://icedtea.classpath.org/hg/release/icedtea-web-1.2/rev/d65bd94e0ba9

Comment 2 Tomas Hoger 2012-07-31 18:01:15 UTC
Lifting embargo.

Comment 3 Tomas Hoger 2012-07-31 18:02:35 UTC
Created icedtea-web tracking bugs for this issue

Affects: fedora-all [bug 844770]

Comment 4 Tomas Hoger 2012-07-31 18:40:31 UTC
Fixed upstream in IcedTea-web 1.1.6 and 1.2.1:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-July/019580.html

Comment 5 errata-xmlrpc 2012-07-31 18:56:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1132 https://rhn.redhat.com/errata/RHSA-2012-1132.html

Comment 6 Fedora Update System 2012-09-21 23:53:07 UTC
icedtea-web-1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-09-25 06:19:05 UTC
icedtea-web-1.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.